test/hotspot/jtreg/runtime/TLS/testtls.sh
changeset 55672 c659942fc471
parent 55624 cb90a20eb99a
child 58679 9c3209ff7550
--- a/test/hotspot/jtreg/runtime/TLS/testtls.sh	Fri Jul 12 02:50:43 2019 -0700
+++ b/test/hotspot/jtreg/runtime/TLS/testtls.sh	Fri Jul 12 10:39:19 2019 -0700
@@ -43,5 +43,10 @@
 
 # Test 1) Run with stack size adjusted for TLS
 ${TESTNATIVEPATH}/stack-tls -add_tls || exit $?
-# Test 2) Run with no stack size adjustment
-${TESTNATIVEPATH}/stack-tls || exit $?
+
+# Test 2) Run with no stack size adjustment and expect failure.
+#
+# Potential failures include StackOverflowError, thread creation failures,
+# crashes, and etc. The test case can be used to demonstrate the TLS issue
+# but is excluded from running in regular testing.
+#${TESTNATIVEPATH}/stack-tls || exit $?